org.eclipse.eef.core.internal

## Class EEFDomainClassTester

- java.lang.Object
- - org.eclipse.eef.core.internal.EEFDomainClassTester

All Implemented Interfaces:
  IEEFDomainClassTester

    public class EEFDomainClassTester
    extends java.lang.Object
    implements IEEFDomainClassTester

Utility class used to compute if an EObject matches a domain class.

### Constructor Summary

Constructors
Constructor and Description
`EEFDomainClassTester()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `eInstanceOf(org.eclipse.emf.ecore.EObject eObject, java.lang.String domainClass)` Indicates if the given eObject matches the given domainClass.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFDomainClassTester

    public EEFDomainClassTester()

### Method Detail

#### eInstanceOf

    public boolean eInstanceOf(org.eclipse.emf.ecore.EObject eObject,
                               java.lang.String domainClass)

Indicates if the given eObject matches the given domainClass.

Specified by:
  `eInstanceOf` in interface `IEEFDomainClassTester`
Parameters:
  `eObject` - The EObject
  `domainClass` - The domain class
Returns:
  `true` if the eObject matches the given domain, `false` otherwise
See Also:
  `IEEFDomainClassTester.eInstanceOf(org.eclipse.emf.ecore.EObject, java.lang.String)`